/**
 * 问答模块
 */
 import {get,post} from './http'

 /**
 * 问答列表
 * @param chart_permission_id
 * @param reply_status 0-全部 2-待回答 3-已回答
 */
  export const apiQuestionList=params=>{
    return get('/community/question/list',params)
}
/**
 * FICC品种权限
 */
 export const apiOptionList=params=>{
    return get('/company/permission/tree',params)
}
/**
 * 研究方向分组列表 
 */
export const apiOptiongroupList = params=>{
    return get('/community/question/research_group',params)
}
/**
 * 发布提问
 * @param question_content
 * @param variety_classify_id 
 * @param variety_tag_id
 */
 export const apipubAsk=params=>{
    return post('/community/question/ask',params)
}
/**
 * 问答列表数量统计
 */
 export const apiBarTotal=params=>{
    return get('/community/question/list/total',params)
}

/**
 * 发布回答
 * @param question_id 
 * @param audio_list 
 */
 export const apiReplayAsk=params=>{
    return post('/community/question/reply',params)
}

/**
 * 问答详情
 * @param question_id 
 */
 export const apigetQuestion=params=>{
    return get('/community/question/detail',params)
}
/**
 * 我的-未读数
 */
 export const apigetUnread=params=>{
    return get('/community/question/unread',params)
}
/**
 * 问答已读(批量)
 * @param question_ids
 */
export const apiSetRead = params=>{
    return post('/community/question/reply/read',params)
}
/**
 * 点击音频次数
 * @param community_question_audio_id
 * @param source_agent 1：小程序，2：小程序 pc 3:弘则研究公众号，4:web pc
 */
export const apiCountAudioClick = params=>{
    let source_agent=2
	if(window.__wxjs_environment === 'miniprogram'){
		source_agent=2
	}else{
		source_agent=4
	}
    return post('/community/question/audio/log',{...params,source_agent})
}


/**
 * 点赞/吐槽
 *  "community_question_id": 35,
    "op_type": 1, 1-点赞 2-吐槽
    "enable": 1, 0取消 1-有效数据
    "source_agent": 1, 1：小程序，2：小程序 pc 3:弘则研究公众号，4:web pc
    source：来源：1-问答社区（默认, 传0也是）; 2-视频社区
 */
export const apiSetLike = params => {
    let source_agent=2
    if(window.__wxjs_environment === 'miniprogram'){
        source_agent=2
    }else{
        source_agent=4
    }
    return post('/community/set_like_or_tease',{ source_agent,...params })
}
        
/**
 * 发布评论
 * @param {*} params 
 * "community_question_id": 3F5,
 "content": "这里是roc的测试评论",
    "is_show_name": 0,
    "source_agent": 1,
    source：来源：1-问答社区（默认, 传0也是）; 2-视频社区
*/
export const apiPublishComment = params => {
    let source_agent=2
    if(window.__wxjs_environment === 'miniprogram'){
        source_agent=2
    }else{
        source_agent=4
    }
    return post('/community/comment',{ source_agent,...params })
}

/**
 * 获取设置昵称状态
 * @param {*} params 
 */
export const apiCheckNick = params => {
return get('/community/need_anonymous_user_tips')
}

/**
 * 不在提醒设置弹窗
 * @param {*} params 
 */
export const apiCanelNickTip = params => {
    return post('/community/set_anonymous_user_tips')
}

/**
 * 删除留言
 * @param {community_question_comment_id} params 
 */
export const apiDelComment = params => {
    return post('/community/comment/delete',params)
}
        
/**
 * 精选留言列表
 * @param {*} params
 * community_question_id 
 * curr_page
 * page_size
 * source：来源：1-问答社区（默认, 传0也是）; 2-视频社区
 */
export const apiHotComment = params => {
    return get('/community/comment/hot',params)
}
        
/**
 * 我的留言列表
 * @param {*} params
 * community_question_id 
 * curr_page
 * page_size
 * source：来源：1-问答社区（默认, 传0也是）; 2-视频社区
 */
export const apiMyComment = params => {
    return get('/community/comment/my',params)
}